import { SetStateFunc, VoidFunc } from "../../../fd-toolbox/functions/internal-getter-setter-functions";
import { LayoutElement } from "./layout-element";
import { Layouts } from "react-grid-layout";
export declare function generateLayout(columns: number, setLayout: VoidFunc<LayoutElement[]>, children?: unknown): void;
export declare function onLayoutChange(newLayouts: Layouts, setLayout: SetStateFunc<LayoutElement[]>): void;
export declare function setupRowHeightListener(columns: number, setRowHeight: VoidFunc<number>, containerMargin: [number, number]): () => void;
